%define name    fizmo
%define version 0.6.8
%define release %mkrel 1

Name:           %{name}
Summary:        A Z-Machine interpreter supporting unicode, sound, blorbfile and more
Version:        %{version}
Release:        %{release}
URL:            http://spellbreaker.org/~chrender/fizmo/ 
Source0:        http://spellbreaker.org/~chrender/fizmo/source/fizmo-%{version}.tar.gz
Patch0:		fizmo-0.6.3-config-mk.patch	
License:        BSD
Group:          Games/Other
BuildRequires:  libncursesw-devel libxml2-devel libSDL_sound-devel libsndfile-devel
BuildRoot:      %{_tmppath}/%{name}-buildroot

%description
Fizmo is a Z-Machine interpreter. That means it allows you to play interactive 
fiction, also know as textadventures, which were implemented either by Infocom
or created using the Inform compiler. It is a console-based interpreter, 
meaning that there is no graphical user interface, and works with all Z-machine
versions except version 6.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .mdv

%build
cp config.default.mk config.mk
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%doc CHANGELOG.txt COPYRIGHT.txt README.txt
%{_mandir}/*/*
%{_gamesbindir}/*



%changelog
* Tue Jan 12 2010 Samuel Verschelde <stormi@mandriva.org> 0.6.8-1mdv2009.1
+ Revision: 490460
- update to new version 0.6.8

* Tue Dec 15 2009 Samuel Verschelde <stormi@mandriva.org> 0.6.7-1mdv2010.1
+ Revision: 479047
- new version 0.6.7

* Tue Oct 13 2009 Samuel Verschelde <stormi@mandriva.org> 0.6.5-1mdv2010.0
+ Revision: 457189
- new version 0.6.5

* Fri May 29 2009 Samuel Verschelde <stormi@mandriva.org> 0.6.4-1mdv2010.0
+ Revision: 381111
- new version 0.6.4
- drop merged upstream patches

* Thu May 21 2009 Samuel Verschelde <stormi@mandriva.org> 0.6.3-2mdv2010.0
+ Revision: 378314
- fix a typo in package description

* Wed May 20 2009 Samuel Verschelde <stormi@mandriva.org> 0.6.3-1mdv2010.0
+ Revision: 378095
- upstream patches to fix crash and graphical glitches
- import fizmo


